Skip to content
Primary navigation

Unassign project role from group

DELETE/projects/{project_id}/groups/{group_id}/roles/{role_id}

Unassigns a project role from a group within a project.

Path ParametersExpand Collapse
project_id: string
group_id: string
role_id: string
ReturnsExpand Collapse
deleted: boolean

Whether the assignment was removed.

object: string

Identifier for the deleted assignment, such as group.role.deleted or user.role.deleted.

Unassign project role from group

curl -X DELETE https://api.openai.com/v1/projects/proj_abc123/groups/group_01J1F8ABCDXYZ/roles/role_01J1F8PROJ \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "group.role.deleted",
    "deleted": true
}
Returns Examples
{
    "object": "group.role.deleted",
    "deleted": true
}